Package com.independentsoft.office.spreadsheet

# Class OutlineProperties

java.lang.Object
com.independentsoft.office.spreadsheet.OutlineProperties

public class OutlineProperties extends Object
The Class OutlineProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutlineProperties()`
  Instantiates a new outline properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutlineProperties`
  `clone()`
  `boolean`
  `isApplyStyles()`
  Checks if is apply styles.
  `boolean`
  `isShowOutlineSymbols()`
  Checks if is show outline symbols.
  `boolean`
  `isSummaryBelow()`
  Checks if is summary below.
  `boolean`
  `isSummaryRight()`
  Checks if is summary right.
  `void`
  `setApplyStyles​(boolean applyStyles)`
  Sets the apply styles.
  `void`
  `setShowOutlineSymbols​(boolean showOutlineSymbols)`
  Sets the show outline symbols.
  `void`
  `setSummaryBelow​(boolean summaryBelow)`
  Sets the summary below.
  `void`
  `setSummaryRight​(boolean summaryRight)`
  Sets the summary right.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OutlineProperties

    public OutlineProperties()
    Instantiates a new outline properties.

- ## Method Details

  - ### clone

    public OutlineProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isApplyStyles

    public boolean isApplyStyles()
    Checks if is apply styles.
    Returns:
      true, if is apply styles

  - ### setApplyStyles

    public void setApplyStyles​(boolean applyStyles)
    Sets the apply styles.
    Parameters:
      `applyStyles` - the new apply styles

  - ### isShowOutlineSymbols

    public boolean isShowOutlineSymbols()
    Checks if is show outline symbols.
    Returns:
      true, if is show outline symbols

  - ### setShowOutlineSymbols

    public void setShowOutlineSymbols​(boolean showOutlineSymbols)
    Sets the show outline symbols.
    Parameters:
      `showOutlineSymbols` - the new show outline symbols

  - ### isSummaryBelow

    public boolean isSummaryBelow()
    Checks if is summary below.
    Returns:
      true, if is summary below

  - ### setSummaryBelow

    public void setSummaryBelow​(boolean summaryBelow)
    Sets the summary below.
    Parameters:
      `summaryBelow` - the new summary below

  - ### isSummaryRight

    public boolean isSummaryRight()
    Checks if is summary right.
    Returns:
      true, if is summary right

  - ### setSummaryRight

    public void setSummaryRight​(boolean summaryRight)
    Sets the summary right.
    Parameters:
      `summaryRight` - the new summary right